Bug 431411 - Missing BuildRequires: in perl-Text-Wrapper
Missing BuildRequires: in perl-Text-Wrapper
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Text-Wrapper (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ralf Corsepius
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 05:17 EST by Xavier Bachelot
Modified: 2008-02-07 15:58 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.01-3.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 15:58:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Bachelot 2008-02-04 05:17:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.10) Gecko/20071213 Fedora/2.0.0.10-3.fc8 Firefox/2.0.0.10

Description of problem:
perl-Text-Wrapper is missing 2 BuildRequires:
perl(Test::Pod::Coverage) and perl(Test::Pod)



Version-Release number of selected component (if applicable):


How reproducible:
Always


Steps to Reproduce:
1. rebuild perl-Text-Wrapper-1.01-2.fc8.src.rpm
2. look at the build logs

My test case was the SRPM that was shipped with F8, but I checked the spec in the F-8 and devel branches in cvs and the BRs are not there.

Actual Results:
+ make test
/usr/bin/perl Build --makefile_env_macros 1 test
t/00.load.........# Testing Text::Wrapper 1.01
ok
t/10.wrapper......ok
t/pod-coverage....skipped
        all skipped: Test::Pod::Coverage 1.04 required for testing POD coverage
t/pod.............skipped
        all skipped: Test::Pod 1.14 required for testing POD
All tests successful, 2 tests skipped.
Files=4, Tests=6,  1 wallclock secs ( 0.14 cusr +  0.05 csys =  0.19 CPU)

Expected Results:
All tests successful, no tests skipped

Additional info:
Comment 1 Ralf Corsepius 2008-02-04 06:45:26 EST
Thanks for the report, I'll add these BR's, ASAP.

FYI: Test::Pod and Test::Pod::Coverage in almost all cases are optional modules.
Therefore, current practice is to recommend using them, but not considered
mandatory.




Comment 2 Ralf Corsepius 2008-02-04 07:05:57 EST
Fixed in CVS.
Comment 3 Fedora Update System 2008-02-04 07:27:53 EST
perl-Text-Wrapper-1.01-3.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-02-04 07:28:49 EST
perl-Text-Wrapper-1.01-3.fc7 has been submitted as an update for Fedora 7
Comment 5 Fedora Update System 2008-02-07 15:57:17 EST
perl-Text-Wrapper-1.01-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-02-07 15:58:21 EST
perl-Text-Wrapper-1.01-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.